Retrieves the item with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean |
Response Formats
application/json, text/json
{
"id": "138555b5-4ea2-456f-8e54-fc540d9ebb82",
"db_info_id": "46990b26-3fbc-49de-a753-6c7a7d5fb30d",
"db_info_code": "sample string 3",
"db_info": {
"id": "eae9aea3-54ef-4321-884c-ec13385c7fe2",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "849498e9-7a34-4196-93cf-a8c8493ade34",
"db_info_category_code": "sample string 6",
"parent_id": "42756a8c-6693-4c7f-8d6a-a1c212ffcd4a",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-09-18T13:43:39.2201313+00:00"
},
"db_input_type_id": "a9006fed-929f-4357-bf5e-b09e47f4ad46",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true
}